Condition that tests whether a given property has been set.

author | Hans Lellelid <hans@xmpl.org> (Phing)
author | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
version | $Id$
package | phing.tasks.system.condition

### Methods

## Check whether property is set.

    evaluate() : boolean

### Exceptions

`\BuildException` |

### Returns

`boolean`

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()

### Returns

`\Project`Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level)

Inherited

inherited_from | \ProjectComponent::log()

### Parameters

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## setProperty()

    setProperty($p)

### Parameters

#### $p

### Properties

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project

##

    $property